import { Observable } from 'rxjs';
import { MainService } from '../main/main.service';
import { ViewOptions } from '../models/view';
/**
 * view service for drupal using services_views module
 * @see https://www.drupal.org/project/services_views
 */
export declare class ViewService extends MainService {
    entityType: string;
    /**
     * impelemnt retrive resource
     * @param viewMachineName view machine name
     * @param options parameters of filteration for this view
     * @return array of view rows OR view html code if the options format_output is 1
     */
    getView(viewMachineName: string, options?: ViewOptions): Observable<any[]>;
}
